Download it now!
Bug 129881 - section dropdown box in Link section of "Edit Sections" dialog does not show sections in an external document that has sections
Summary: section dropdown box in Link section of "Edit Sections" dialog does not show ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Section
  Show dependency treegraph
 
Reported: 2020-01-08 13:02 UTC by sdc.blanco
Modified: 2020-02-06 16:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-01-08 13:02:15 UTC
1. Insert>Section
2. Select Link
3. Choose Filename (where file has 1 or more sections already).
4. Dropdown box on Section

Actual:   Empty
Expected: Shows the sections.

Additional information:
1.  Can write the sectionname (if you know it) and the link will work.
2.  LO 6.3.4.2 works as expected.
Comment 1 ian 2020-01-11 16:10:48 UTC
Thank you for reporting the bug. I can confirm that the bug is present in a recent master build on Windows and not in 6.3.4.2, which the reporter specified. 

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 209fc9fd7fa433947af0bf86e210d73fa7f5a045
CPU threads: 2; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 2 sdc.blanco 2020-01-11 16:33:52 UTC
adding bibisectRequest possibleRegression - based on comment #1
Comment 3 raal 2020-01-13 22:34:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks


c09c90bd20825e785c3369a271d192b6e7ae68c9 is the first bad commit
commit c09c90bd20825e785c3369a271d192b6e7ae68c9
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Oct 7 20:49:35 2019 +0200

    source sha:8f6f9e4217d03d874fb1ce391730a1c893ab6844

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-10-07 09:40:41 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-10-07 10:28:03 +0200
commit	8f6f9e4217d03d874fb1ce391730a1c893ab6844 (patch)
tree	919e221df9f8388bba447e944082e6c07045faa0
parent	46c90ca5f92bfa517b8b89a2d42d60ec3f9f3adc (diff)
tdf#127958 crash adding 2 or more files into writer master document
Comment 4 Commit Notification 2020-02-06 16:30:52 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0ec225bf654bb998fd1e62a1b832aa20464fb90

tdf#129881 missing sections in link section

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.